package com.puship.test;

import static org.junit.Assert.fail;

import java.net.UnknownHostException;
import java.util.HashMap;

import org.json.JSONObject;
import org.junit.Test;

import com.puship.CoreApi;
import com.puship.Credentials;

public class AddTagFilter {

	@Test
	public void test() {
		Credentials cr = new Credentials(ConfigClass.Username, ConfigClass.Password);
		CoreApi ca = new CoreApi(ConfigClass.AppId, cr);

		try {

			HashMap<String, Object> map = new HashMap<String, Object>();
			map.put("DeviceId", "jS0oE8PtHcVerde_E57F63B1-E43F-48F0-8A08-149F7168A1DE");
			map.put("Tag", "Libra");	//Set the tag filter you want add to Device with DeviceId setted previously

			JSONObject al = ca.AddTagFilter(map);
			
			if (al != null) {
				System.out.println(al.get("Error"));
				System.out.println(al.get("Message"));
			} else {
				System.out.println("Error during request");
			}

		}catch (UnknownHostException httpe) {
			httpe.printStackTrace();
			System.out.println("Error during URL request: probably no connection or wrong URL");
		}
		catch (Exception e) {
			e.printStackTrace();
			fail("Error during GetAppTagFilters");
		}
	}

}
