package com.puship.test;

import static org.junit.Assert.fail;

import java.net.UnknownHostException;
import java.util.HashMap;

import org.json.JSONArray;
import org.junit.Test;

import com.puship.CoreApi;
import com.puship.Credentials;

public class GetAppTagFilters {
	@Test
	public void test() {

		Credentials cr = new Credentials(ConfigClass.Username, ConfigClass.Password);
		CoreApi ca = new CoreApi(ConfigClass.AppId, cr);

		try {

			HashMap<String, Object> map = new HashMap<String, Object>();
			map.put("ReturnHistory", "True");	//If true, returns even the filters used in the past but not associated with any device at the moment (default false)

			JSONArray al = ca.GetAppTagFilters(map);
			
			if (al != null) {
				for (int i = 0; i < al.length(); i++) {
					System.out.println(al.get(i));
				}
			} else {
				System.out.println("Error during request");
			}

		}catch (UnknownHostException httpe) {
			httpe.printStackTrace();
			System.out.println("Error during URL request: probably no connection or wrong URL");
		}
		catch (Exception e) {
			e.printStackTrace();
			fail("Error during GetAppTagFilters");
		}
	}
}